import { Base, INotifyPropertyChanged, IEnumerable, Type, PropertyChangedEventArgs } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-react-core";
import { BrushCollection } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { TrendLineType } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { Series } from "./Series";
import { DataSeries } from "igniteui-react-core";
import { ObservableColorCollection } from "igniteui-react-core";
import { DataSeriesMarker } from "igniteui-react-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged {
    static $t: Type;
    protected er: any;
    provideContainer(a: any): void;
    destroy(): void;
    private ib;
    protected ic(): void;
    protected h8(a: XamDataChart): void;
    protected h5(): void;
    protected ie(a: Series, b: number): void;
    protected i0(a: string, b: any, c: any): void;
    private eq;
    tooltipTemplate: any;
    private cp;
    tooltipTemplates: List$1<any>;
    private da;
    dy: number;
    private ep;
    private toolTip;
    private dn;
    eb: number;
    private dp;
    ec: number;
    private dq;
    ed: number;
    private dm;
    ea: number;
    private di;
    d6: number;
    private dk;
    d8: number;
    private dj;
    d7: number;
    private dh;
    d5: number;
    private jt;
    j0: Brush;
    private ju;
    j1: Brush;
    private c8;
    protected get_dw(): number;
    protected set_dw(a: number): void;
    dw: number;
    private dr;
    ee: number;
    private dg;
    d4: number;
    private c7;
    dv: number;
    private ek;
    en: number;
    private bj;
    bk: (time: number) => number;
    protected h9(a: XamDataChart): void;
    protected ig(a: Series, b: number): void;
    protected h6(): void;
    private ih;
    eg: (arg1: HTMLElement) => any[];
    private jn;
    private et;
    private ck;
    private eh;
    protected i1(a: string, b: any, c: any): void;
    private am;
    an: IDomainChartWidget;
    private e5;
    g2: string;
    private e7;
    hd: string;
    private bh;
    dataChart: XamDataChart;
    ac: DataSeriesAdapterImplementation;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected ia(): void;
    protected abstract readonly cv: List$1<DataSeriesType>;
    protected abstract readonly cu: List$1<IDataSeriesAdapterRule>;
    protected ct: List$1<MarkerType>;
    protected cg(a: DataSeriesType): boolean;
    notifyResized(): void;
    iq(): void;
    h0(): void;
    h3(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected i6(a: string): void;
    protected h1(a: (arg1: Series) => void): void;
    protected h2(a: (arg1: Series, arg2: number) => void): void;
    protected is(a: (arg1: XamDataChart) => void): void;
    protected it(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected iu(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected ch(a: DataSeries): boolean;
    protected cb(): boolean;
    private static readonly ez;
    private ej;
    protected f0(a: DataSeries): string;
    private static ey;
    protected f1(a: DataSeries, b: DataSeriesType): string;
    protected abstract ab(a: DataSeries): DataSeriesType;
    protected abstract a3(a: DataSeries, b: DataSeriesType): Series;
    fz(): string;
    private ce;
    protected jh(): void;
    protected a4(seriesType_: DataSeriesType): Series;
    private ay;
    private a0;
    private a1;
    private a2;
    private az;
    private ai;
    protected readonly aj: IAnnotationLayerProxy;
    private readonly b9;
    private ca;
    private jo;
    protected cr(a: string, b: boolean): List$1<Series>;
    protected jm(a: Series, b: Series, c: DataSeries): void;
    protected abstract jg(a: DataSeries): void;
    protected abstract jf(a: DataSeries): void;
    protected jj(): void;
    private jk;
    protected jl(a: Series): void;
    protected abstract ji(): void;
    private iv;
    protected hy(): void;
    protected jv(a: number): Brush;
    protected jy(a: number): Brush;
    protected jw(a: number): Brush;
    protected jx(a: number): Brush;
    protected j2(a: number): Color;
    protected bl(a: Color): ObservableColorCollection;
    protected o(a: Color): BrushCollection;
    protected co: List$1<Color>;
    protected readonly cq: List$1<Color>;
    es(): any;
    ii(a: string, b: string): void;
    ij(a: string, b: string, c: Series): void;
    au(a: DataSeriesMarker): MarkerType;
    ip(source_: any, a: number, b: any, c: any): void;
    ik(source_: any): void;
    il(source_: any, a: number, b: any): void;
    im(source_: any, a: number, b: any): void;
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    i7(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    jd(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    i9(a: Series, b: any): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    ja(a: Series, b: any): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    jb(a: Series, b: any): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    i8(a: Series, b: any): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    jc(a: Series, b: any): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    i5(a: any, b: CalloutStyleUpdatingEventArgs): void;
    private cs;
    i3(a: () => void): void;
    private bm;
    i4(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_ci(): boolean;
    protected readonly ci: boolean;
    protected h7(a: XamDataChart): void;
    protected s(a: BrushCollection): BrushCollection;
    protected jz(a: Brush): Brush;
    protected id(a: Series, b: number): void;
    protected abstract hw(): void;
    protected readonly b3: boolean;
    private bp;
    protected hz(): void;
    protected h4(): void;
    protected je(a: XamDataChart): void;
    private hv;
    protected abstract hu(a: Series, b: number): void;
    protected av(a: Series, b: number): MarkerType;
    protected c3(): IEnumerable;
    protected get_cc(): boolean;
    protected readonly cc: boolean;
    protected c4(): IEnumerable;
    protected iz(a: string, b: any, c: any): void;
    private ix;
    private cz;
    itemsSource: IEnumerable;
    private cx;
    actualItemsSource: IEnumerable;
    private b;
    d: string[];
    private a;
    c: string[];
    private g;
    n: BrushCollection;
    private j;
    r: BrushCollection;
    private e;
    l: BrushCollection;
    private f;
    m: BrushCollection;
    private ak;
    legend: IChartLegend;
    private bv;
    protected get_cd(): boolean;
    protected set_cd(a: boolean): void;
    cd: boolean;
    private bx;
    protected get_cj(): boolean;
    protected set_cj(a: boolean): void;
    cj: boolean;
    private bz;
    protected get_cm(): boolean;
    protected set_cm(a: boolean): void;
    cm: boolean;
    private b0;
    protected get_cn(): boolean;
    protected set_cn(a: boolean): void;
    cn: boolean;
    private bw;
    protected get_cf(): boolean;
    protected set_cf(a: boolean): void;
    cf: boolean;
    private j3;
    j5: Rect;
    readonly j4: Rect;
    private e6;
    g6: string;
    private e4;
    gv: string;
    private jq;
    js: HorizontalAlignment;
    private jp;
    jr: HorizontalAlignment;
    private bf;
    bg: UnknownValuePlotting;
    private df;
    protected get_d3(): number;
    protected set_d3(a: number): void;
    d3: number;
    private dl;
    d9: number;
    private a9;
    ba: SeriesOutlineMode;
    private as;
    at: MarkerOutlineMode;
    private aq;
    ar: MarkerFillMode;
    private c9;
    dx: number;
    private aw;
    ax: MarkerTypeCollection;
    private h;
    p: BrushCollection;
    private i;
    q: BrushCollection;
    private ei;
    em: number;
    private bo;
    b2: boolean;
    private k;
    t: BrushCollection;
    private bd;
    be: TrendLineType;
    private ds;
    ef: number;
    private bn;
    b1: boolean;
    private dc;
    d0: number;
    private de;
    d2: number;
    private dd;
    d1: number;
    private db;
    dz: number;
    protected iy(): void;
    private x;
    y: ComputedPlotAreaMarginMode;
    private a7;
    a8: SeriesHighlightingMode;
    private a5;
    a6: SeriesHighlightingBehavior;
    private ao;
    ap: LegendHighlightingMode;
    private by;
    cl: boolean;
    private c5;
    dt: number;
    private c6;
    du: number;
    private el;
    eo: number;
    private bb;
    bc: ToolTipType;
    private z;
    aa: CrosshairsDisplayMode;
    private bt;
    b7: boolean;
    private bs;
    b6: boolean;
    private bu;
    b8: boolean;
    private br;
    b5: boolean;
    private bq;
    b4: boolean;
    private cy;
    calloutsItemsSource: IEnumerable;
    private e2;
    fo: string;
    private e3;
    fq: string;
    private e1;
    fk: string;
    private e0;
    fh: string;
}
