import { Brush } from "igniteui-react-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-react-core";
import { EventArgs, IList, Type } from "igniteui-react-core";
import { IZoomSlider } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected i1(a: string, b: any, c: any): void;
    private yq;
    private yp;
    private ym;
    private yy;
    private ss;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private va;
    private u8;
    private u5;
    private u7;
    private u9;
    private u6;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private y9;
    private zn;
    private x6;
    private zl;
    setGridRows(): void;
    protected ic(): void;
    private y5;
    private y6;
    private zf;
    private x5;
    private yw;
    protected h9(a: XamDataChart): void;
    private zq;
    private zt;
    private zr;
    private zs;
    us(): number;
    il(source_: any, a: number, b: any): void;
    im(source_: any, a: number, b: any): void;
    ik(source_: any): void;
    ip(source_: any, a: number, b: any, c: any): void;
    protected ig(a: Series, b: number): void;
    private ry;
    private rz;
    private vs;
    vz: any;
    private vt;
    v0: any;
    private vp;
    vw: any;
    private vu;
    v1: any;
    private vv;
    v2: any;
    private vq;
    vx: any;
    private vr;
    vy: any;
    private tg;
    th: IZoomSlider;
    protected get_dw(): number;
    protected set_dw(a: number): void;
    protected get_cd(): boolean;
    protected set_cd(a: boolean): void;
    private ul;
    uw: number;
    constructor();
    protected ka(): Axis;
    protected kb(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected ab(a: DataSeries): DataSeriesType;
    protected get_cv(): List$1<DataSeriesType>;
    protected readonly cv: List$1<DataSeriesType>;
    protected get_cu(): List$1<IDataSeriesAdapterRule>;
    protected readonly cu: List$1<IDataSeriesAdapterRule>;
    private rl;
    private sz;
    private rk;
    protected hw(): void;
    protected hu(a: Series, b: number): void;
    protected jf(a: DataSeries): void;
    protected ji(): void;
    private r3;
    private r2;
    private sc;
    private r5;
    private wb;
    private rm;
    private s0;
    private s6;
    private s7;
    private s5;
    private s8;
    private readonly tn;
    private sm;
    private readonly sn;
    private readonly tq;
    private sk;
    private readonly sl;
    private readonly to;
    private so;
    private readonly sp;
    private readonly tp;
    private st;
    private readonly su;
    protected a3(a: DataSeries, b: DataSeriesType): Series;
    protected jh(): void;
    protected ph(a: (arg1: Axis) => void, b: string): void;
    protected pl(a: (arg1: Axis) => void, b: boolean): void;
    protected pj(a: (arg1: TitleSettings) => void): void;
    protected pn(a: (arg1: TitleSettings) => void): void;
    protected pm(a: (arg1: AxisLabelSettings) => void): void;
    protected pi(a: (arg1: AxisLabelSettings) => void): void;
    protected h8(a: XamDataChart): void;
    private static vn;
    private v3;
    private w5;
    private yg;
    private x2;
    private x3;
    private x8;
    private yb;
    private x9;
    private ya;
    private yc;
    private vh;
    protected h2(a: (arg1: Series, arg2: number) => void): void;
    private tc;
    private volumeChart;
    private y0;
    private tr;
    private tv;
    private ts;
    private tu;
    private yz;
    private s9;
    private tb;
    private zh;
    es(): any;
    v8(): string;
    private ta;
    private zg;
    private t0;
    private ze;
    protected h5(): void;
    protected get_ci(): boolean;
    protected readonly t4: boolean;
    private zm;
    private y1;
    protected iu(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private ye;
    private za;
    private readonly t3;
    private yf;
    private tw;
    private y4;
    private yj;
    private yo;
    private yn;
    private yh;
    private yi;
    private ys;
    private yv;
    private yt;
    private x4;
    private y8;
    private zk;
    private yk;
    private zi;
    private tz;
    private yr;
    private yd;
    private zc;
    private zb;
    private y3;
    private yl;
    private t5;
    private zj;
    private x7;
    private zd;
    protected jm(a: Series, b: Series, c: DataSeries): void;
    private wa;
    protected pc(a: Axis): void;
    protected pe(a: Axis): void;
    private yu;
    protected id(a: Series, b: number): void;
    protected iz(a: string, b: any, c: any): void;
    private tm;
    t2: boolean;
    private vg;
    vo: number;
    private un;
    u0: number;
    private up;
    u2: number;
    private uo;
    u1: number;
    private uq;
    u3: number;
    readonly uz: number;
    readonly uy: number;
    private r4;
    r6: FinancialChartVolumeType;
    private r7;
    r8: FinancialChartXAxisMode;
    private r9;
    sa: FinancialChartYAxisMode;
    private tj;
    tx: boolean;
    private r0;
    r1: FinancialChartType;
    protected get_pt(): HorizontalAlignment;
    protected set_pt(a: HorizontalAlignment): void;
    private tk;
    ty: boolean;
    private se;
    sf: FinancialIndicatorTypeCollection;
    private sg;
    sh: FinancialOverlayTypeCollection;
    private t7;
    private indicatorCharts;
    private tl;
    t1: boolean;
    protected get_d3(): number;
    protected set_d3(a: number): void;
    protected get_kh(): AxisLabelsLocation;
    protected set_kh(a: AxisLabelsLocation): void;
    private td;
    zoomSliderChart: XamDataChart;
    private sy;
    private zoomSliderAxis;
    private rj;
    private zoomSliderXAxis;
    private sb;
    sd: FinancialChartZoomSliderType;
    private q2;
    ra: BrushCollection;
    private q3;
    rb: BrushCollection;
    private q4;
    rc: BrushCollection;
    private q5;
    rd: BrushCollection;
    private q7;
    rf: BrushCollection;
    private q6;
    re: BrushCollection;
    private q1;
    q9: BrushCollection;
    private q0;
    q8: BrushCollection;
    private um;
    ux: number;
    private uk;
    uv: number;
    private uj;
    uu: number;
    private sq;
    sr: IndicatorDisplayTypeCollection;
    private vc;
    vj: number;
    private ui;
    ut: number;
    private vf;
    vm: number;
    private vd;
    vk: number;
    private vb;
    vi: number;
    private ve;
    vl: number;
    private rv;
    rx: FinancialChartRangeSelectorOptionCollection;
    rw: FinancialChartRangeSelectorOptionCollection;
    private rr;
    customIndicatorNames: CustomIndicatorNameCollection;
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_cj(): boolean;
    protected set_cj(a: boolean): void;
    private zo;
    zp: Brush;
    private ur;
    u4: number;
    private ti;
    tt: boolean;
    private si;
    sj: IChartLegend;
    private ri;
    private xAxis;
    private sx;
    private yAxis;
    private sw;
    private volumeAxis;
    private rh;
    private volumeXAxis;
    private sv;
    private indicatorAxis;
    private rg;
    private indicatorXAxis;
    private t6;
    private t9;
    private t8;
    private ub;
    private uf;
    uh: Date;
    private ue;
    ug: Date;
    private uc;
    readonly xAxisBreaks: ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    s: FinancialChartRangeSelector;
    private z;
    aa: FinancialChartTypePicker;
    private p;
    q: FinancialChartIndicatorMenu;
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    au: Date;
    private ap;
    at: Date;
    private ao;
    as: Date;
    private an;
    ar: Date;
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    y: FinancialChartType;
    private ah;
    ai: TrendLineType;
    private ab;
    ac: FinancialChartVolumeType;
    private ad;
    ae: FinancialIndicatorTypeCollection;
    private af;
    ag: FinancialOverlayTypeCollection;
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    u: FinancialChartRangeSelectorOptionCollection;
    private ak;
    al: boolean;
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    v: Date;
    u: Date;
    t: Date;
    s: Date;
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    o: FinancialChartRangeSelectorOptionCollection;
    private aa;
    private p;
}
